Compatibility fixes for gcc(1) targeting ARM.

diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/allwinner/a20/std.a20 freebsd-11.1/sys/arm/allwinner/a20/std.a20
--- /usr/src/sys/arm/allwinner/a20/std.a20	2017-07-21 07:42:04.000000000 +0800
+++ freebsd-11.1/sys/arm/allwinner/a20/std.a20	2019-12-20 16:24:37.454649533 +0800
@@ -3,7 +3,7 @@
 
 cpu		CPU_CORTEXA
 machine 	arm armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 makeoptions	KERNVIRTADDR=0xc0200000
 options 	KERNVIRTADDR=0xc0200000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/allwinner/a31/std.a31 freebsd-11.1/sys/arm/allwinner/a31/std.a31
--- /usr/src/sys/arm/allwinner/a31/std.a31	2017-07-21 07:42:04.000000000 +0800
+++ freebsd-11.1/sys/arm/allwinner/a31/std.a31	2019-12-20 16:24:37.454649533 +0800
@@ -3,7 +3,7 @@
 
 cpu		CPU_CORTEXA
 machine 	arm armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 makeoptions	KERNVIRTADDR=0xc0200000
 options 	KERNVIRTADDR=0xc0200000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/allwinner/a83t/std.a83t freebsd-11.1/sys/arm/allwinner/a83t/std.a83t
--- /usr/src/sys/arm/allwinner/a83t/std.a83t	2017-07-21 07:42:04.000000000 +0800
+++ freebsd-11.1/sys/arm/allwinner/a83t/std.a83t	2019-12-20 16:24:37.454649533 +0800
@@ -3,7 +3,7 @@
 
 cpu		CPU_CORTEXA
 machine 	arm armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 makeoptions	KERNVIRTADDR=0xc0200000
 options 	KERNVIRTADDR=0xc0200000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/allwinner/h3/std.h3 freebsd-11.1/sys/arm/allwinner/h3/std.h3
--- /usr/src/sys/arm/allwinner/h3/std.h3	2017-07-21 07:42:04.000000000 +0800
+++ freebsd-11.1/sys/arm/allwinner/h3/std.h3	2019-12-20 16:24:37.446649407 +0800
@@ -3,7 +3,7 @@
 
 cpu		CPU_CORTEXA
 machine 	arm armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 makeoptions	KERNVIRTADDR=0xc0200000
 options 	KERNVIRTADDR=0xc0200000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/allwinner/std.allwinner freebsd-11.1/sys/arm/allwinner/std.allwinner
--- /usr/src/sys/arm/allwinner/std.allwinner	2017-07-21 07:42:04.000000000 +0800
+++ freebsd-11.1/sys/arm/allwinner/std.allwinner	2019-12-20 16:24:37.450649470 +0800
@@ -3,7 +3,7 @@
 
 cpu		CPU_CORTEXA
 machine 	arm armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 makeoptions	KERNVIRTADDR=0xc0200000
 options 	KERNVIRTADDR=0xc0200000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/allwinner/std.allwinner_up freebsd-11.1/sys/arm/allwinner/std.allwinner_up
--- /usr/src/sys/arm/allwinner/std.allwinner_up	2017-07-21 07:42:04.000000000 +0800
+++ freebsd-11.1/sys/arm/allwinner/std.allwinner_up	2019-12-20 16:24:37.450649470 +0800
@@ -3,7 +3,7 @@
 
 cpu		CPU_CORTEXA
 machine 	arm armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 makeoptions	KERNVIRTADDR=0xc0200000
 options 	KERNVIRTADDR=0xc0200000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/altera/socfpga/std.socfpga freebsd-11.1/sys/arm/altera/socfpga/std.socfpga
--- /usr/src/sys/arm/altera/socfpga/std.socfpga	2017-07-21 07:42:05.000000000 +0800
+++ freebsd-11.1/sys/arm/altera/socfpga/std.socfpga	2019-12-20 16:24:37.446649407 +0800
@@ -2,7 +2,7 @@
 
 cpu		CPU_CORTEXA
 machine		arm armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 makeoptions	KERNVIRTADDR=0xc0f00000
 options		KERNVIRTADDR=0xc0f00000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/amlogic/aml8726/std.aml8726 freebsd-11.1/sys/arm/amlogic/aml8726/std.aml8726
--- /usr/src/sys/arm/amlogic/aml8726/std.aml8726	2017-07-21 07:42:04.000000000 +0800
+++ freebsd-11.1/sys/arm/amlogic/aml8726/std.aml8726	2019-12-20 16:24:37.446649407 +0800
@@ -2,7 +2,7 @@
 
 cpu		CPU_CORTEXA
 machine		arm armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 # Physical memory starts at 0x80000000.  We assume the kernel is loaded
 # at 0x80100000 by u-boot (which doesn't support ubldr since it's missing
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/annapurna/alpine/std.alpine freebsd-11.1/sys/arm/annapurna/alpine/std.alpine
--- /usr/src/sys/arm/annapurna/alpine/std.alpine	2017-07-21 07:42:05.000000000 +0800
+++ freebsd-11.1/sys/arm/annapurna/alpine/std.alpine	2019-12-20 16:24:37.454649533 +0800
@@ -2,7 +2,7 @@
 
 cpu		CPU_CORTEXA
 machine 	arm armv6
-makeoptions	CONF_CFLAGS="-march=armv7a -DAL_HAVE_TYPES"
+makeoptions	CONF_CFLAGS="-march=armv7-a -DAL_HAVE_TYPES"
 
 makeoptions	KERNVIRTADDR=0xa0200000
 options 	KERNVIRTADDR=0xa0200000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/broadcom/bcm2835/std.bcm2836 freebsd-11.1/sys/arm/broadcom/bcm2835/std.bcm2836
--- /usr/src/sys/arm/broadcom/bcm2835/std.bcm2836	2017-07-21 07:42:04.000000000 +0800
+++ freebsd-11.1/sys/arm/broadcom/bcm2835/std.bcm2836	2019-12-20 16:24:37.442649341 +0800
@@ -2,7 +2,7 @@
 
 machine 	arm armv6
 cpu		CPU_CORTEXA
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 options 	SOC_BCM2836
 
 options 	IPI_IRQ_START=76
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/freescale/imx/std.imx51 freebsd-11.1/sys/arm/freescale/imx/std.imx51
--- /usr/src/sys/arm/freescale/imx/std.imx51	2017-07-21 07:42:04.000000000 +0800
+++ freebsd-11.1/sys/arm/freescale/imx/std.imx51	2019-12-20 16:24:37.434649214 +0800
@@ -1,7 +1,7 @@
 # $FreeBSD: releng/11.1/sys/arm/freescale/imx/std.imx51 295885 2016-02-22 11:47:28Z skra $
 machine		arm	armv6
 cpu 		CPU_CORTEXA
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 options		KERNVIRTADDR=0xc0100000
 makeoptions	KERNVIRTADDR=0xc0100000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/freescale/imx/std.imx53 freebsd-11.1/sys/arm/freescale/imx/std.imx53
--- /usr/src/sys/arm/freescale/imx/std.imx53	2017-07-21 07:42:04.000000000 +0800
+++ freebsd-11.1/sys/arm/freescale/imx/std.imx53	2019-12-20 16:24:37.434649214 +0800
@@ -1,7 +1,7 @@
 # $FreeBSD: releng/11.1/sys/arm/freescale/imx/std.imx53 295885 2016-02-22 11:47:28Z skra $
 machine		arm	armv6
 cpu 		CPU_CORTEXA
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 options		KERNVIRTADDR=0xc0100000
 makeoptions	KERNVIRTADDR=0xc0100000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/freescale/imx/std.imx6 freebsd-11.1/sys/arm/freescale/imx/std.imx6
--- /usr/src/sys/arm/freescale/imx/std.imx6	2017-07-21 07:42:04.000000000 +0800
+++ freebsd-11.1/sys/arm/freescale/imx/std.imx6	2019-12-20 16:24:37.434649214 +0800
@@ -1,7 +1,7 @@
 # $FreeBSD: releng/11.1/sys/arm/freescale/imx/std.imx6 295885 2016-02-22 11:47:28Z skra $
 machine		arm	armv6
 cpu 		CPU_CORTEXA
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 options		KERNVIRTADDR		= 0xc2000000
 makeoptions	KERNVIRTADDR		= 0xc2000000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/freescale/vybrid/std.vybrid freebsd-11.1/sys/arm/freescale/vybrid/std.vybrid
--- /usr/src/sys/arm/freescale/vybrid/std.vybrid	2017-07-21 07:42:05.000000000 +0800
+++ freebsd-11.1/sys/arm/freescale/vybrid/std.vybrid	2019-12-20 16:24:37.434649214 +0800
@@ -2,7 +2,7 @@
 
 cpu		CPU_CORTEXA
 machine		arm armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 makeoptions	KERNVIRTADDR=0xc0100000
 options		KERNVIRTADDR=0xc0100000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/mv/armada38x/std.armada38x freebsd-11.1/sys/arm/mv/armada38x/std.armada38x
--- /usr/src/sys/arm/mv/armada38x/std.armada38x	2017-07-21 07:42:05.000000000 +0800
+++ freebsd-11.1/sys/arm/mv/armada38x/std.armada38x	2019-12-20 16:24:37.434649214 +0800
@@ -4,7 +4,7 @@
 cpu		CPU_CORTEXA
 machine		arm	armv6
 
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 makeoptions	KERNVIRTADDR=0xc0000000
 
 options         KERNVIRTADDR=0xc0000000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/mv/std-pj4b.mv freebsd-11.1/sys/arm/mv/std-pj4b.mv
--- /usr/src/sys/arm/mv/std-pj4b.mv	2017-07-21 07:42:05.000000000 +0800
+++ freebsd-11.1/sys/arm/mv/std-pj4b.mv	2019-12-20 16:24:37.434649214 +0800
@@ -3,7 +3,7 @@
 files		"../mv/files.mv"
 cpu		CPU_MV_PJ4B
 machine 	arm	armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 # This was originally defined as "(KERNBASE-(1024*1024*1024))" but that
 # (in opt_global.h) clashed with the value emitted by genassym which
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/nvidia/tegra124/std.tegra124 freebsd-11.1/sys/arm/nvidia/tegra124/std.tegra124
--- /usr/src/sys/arm/nvidia/tegra124/std.tegra124	2017-07-21 07:42:04.000000000 +0800
+++ freebsd-11.1/sys/arm/nvidia/tegra124/std.tegra124	2019-12-20 16:24:37.442649341 +0800
@@ -1,7 +1,7 @@
 # $FreeBSD: releng/11.1/sys/arm/nvidia/tegra124/std.tegra124 298068 2016-04-15 16:05:41Z andrew $
 cpu 		CPU_CORTEXA
 machine		arm	armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 options		KERNVIRTADDR		= 0xc0200000
 makeoptions	KERNVIRTADDR		= 0xc0200000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/qemu/std.virt freebsd-11.1/sys/arm/qemu/std.virt
--- /usr/src/sys/arm/qemu/std.virt	2017-07-21 07:42:05.000000000 +0800
+++ freebsd-11.1/sys/arm/qemu/std.virt	2019-12-20 16:24:37.442649341 +0800
@@ -1,7 +1,7 @@
 # $FreeBSD: releng/11.1/sys/arm/qemu/std.virt 295885 2016-02-22 11:47:28Z skra $
 machine		arm	armv6
 cpu 		CPU_CORTEXA
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 options 	KERNVIRTADDR		= 0xc1000000
 makeoptions	KERNVIRTADDR		= 0xc1000000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/rockchip/std.rk30xx freebsd-11.1/sys/arm/rockchip/std.rk30xx
--- /usr/src/sys/arm/rockchip/std.rk30xx	2017-07-21 07:42:05.000000000 +0800
+++ freebsd-11.1/sys/arm/rockchip/std.rk30xx	2019-12-20 16:24:37.454649533 +0800
@@ -3,7 +3,7 @@
 
 cpu		CPU_CORTEXA
 machine		arm armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 makeoptions	KERNVIRTADDR=0xc0400000
 options		KERNVIRTADDR=0xc0400000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/samsung/exynos/std.exynos5250 freebsd-11.1/sys/arm/samsung/exynos/std.exynos5250
--- /usr/src/sys/arm/samsung/exynos/std.exynos5250	2017-07-21 07:42:05.000000000 +0800
+++ freebsd-11.1/sys/arm/samsung/exynos/std.exynos5250	2019-12-20 16:24:37.446649407 +0800
@@ -2,7 +2,7 @@
 
 cpu		CPU_CORTEXA
 machine		arm armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 makeoptions	KERNVIRTADDR=0xc0f00000
 options		KERNVIRTADDR=0xc0f00000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/samsung/exynos/std.exynos5420 freebsd-11.1/sys/arm/samsung/exynos/std.exynos5420
--- /usr/src/sys/arm/samsung/exynos/std.exynos5420	2017-07-21 07:42:05.000000000 +0800
+++ freebsd-11.1/sys/arm/samsung/exynos/std.exynos5420	2019-12-20 16:24:37.446649407 +0800
@@ -2,7 +2,7 @@
 
 cpu		CPU_CORTEXA
 machine		arm armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 makeoptions	KERNVIRTADDR=0xc0f00000
 options		KERNVIRTADDR=0xc0f00000
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/ti/std.ti freebsd-11.1/sys/arm/ti/std.ti
--- /usr/src/sys/arm/ti/std.ti	2017-07-21 07:42:04.000000000 +0800
+++ freebsd-11.1/sys/arm/ti/std.ti	2019-12-20 16:24:37.434649214 +0800
@@ -2,6 +2,6 @@
 
 cpu 		CPU_CORTEXA
 machine 	arm	armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 files		"../ti/files.ti"
diff -ru --exclude-from freebsd-src-diff-exclude-names /usr/src/sys/arm/xilinx/std.zynq7 freebsd-11.1/sys/arm/xilinx/std.zynq7
--- /usr/src/sys/arm/xilinx/std.zynq7	2017-07-21 07:42:05.000000000 +0800
+++ freebsd-11.1/sys/arm/xilinx/std.zynq7	2019-12-20 16:24:37.434649214 +0800
@@ -5,7 +5,7 @@
 
 cpu		CPU_CORTEXA
 machine		arm	armv6
-makeoptions	CONF_CFLAGS="-march=armv7a"
+makeoptions	CONF_CFLAGS="-march=armv7-a"
 
 files		"../xilinx/files.zynq7"
 
